com.amazon.redshift.core

## Class Field

- java.lang.Object
- - com.amazon.redshift.core.Field

    public class Field
    extends Object

### Field Summary

Fields
`static int` `BINARY_FORMAT`
`static int` `TEXT_FORMAT`

### Constructor Summary

Constructors
Constructor and Description
`Field(String name, int oid)` Constructor without mod parameter.
`Field(String name, int oid, int length, int mod)` Construct a field based on the information fed to it.
`Field(String columnLabel, int oid, int length, int mod, int tableOid, int positionInTable)` Construct a field based on the information fed to it.

### Method Summary

Methods
`String` `getColumnLabel()`
`int` `getFormat()`
`int` `getLength()`
`FieldMetadata` `getMetadata()`
`int` `getMod()`
`int` `getOID()`
`int` `getPositionInTable()`
`String` `getRSType()`
`int` `getSQLType()`
`int` `getTableOid()`
`boolean` `isTypeInitialized()`
`void` `setFormat(int format)`
`void` `setMetadata(FieldMetadata metadata)`
`void` `setRSType(String pgType)`
`void` `setSQLType(int sqlType)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TEXT_FORMAT

    public static final int TEXT_FORMAT

See Also:
  Constant Field Values

#### BINARY_FORMAT

    public static final int BINARY_FORMAT

See Also:
  Constant Field Values

### Constructor Detail

#### Field

    public Field(String name,
         int oid,
         int length,
         int mod)

Construct a field based on the information fed to it.

Parameters:
  `name` - the name (column name and label) of the field
  `oid` - the OID of the field
  `length` - the length of the field
  `mod` - modifier

#### Field

    public Field(String name,
         int oid)

Constructor without mod parameter.

Parameters:
  `name` - the name (column name and label) of the field
  `oid` - the OID of the field

#### Field

    public Field(String columnLabel,
         int oid,
         int length,
         int mod,
         int tableOid,
         int positionInTable)

Construct a field based on the information fed to it.

Parameters:
  `columnLabel` - the column label of the field
  `oid` - the OID of the field
  `length` - the length of the field
  `mod` - modifier
  `tableOid` - the OID of the columns' table
  `positionInTable` - the position of column in the table (first column is 1, second column is 2, etc...)

### Method Detail

#### getOID

    public int getOID()

Returns:
  the oid of this Field's data type

#### getMod

    public int getMod()

Returns:
  the mod of this Field's data type

#### getColumnLabel

    public String getColumnLabel()

Returns:
  the column label of this Field's data type

#### getLength

    public int getLength()

Returns:
  the length of this Field's data type

#### getFormat

    public int getFormat()

Returns:
  the format of this Field's data (text=0, binary=1)

#### setFormat

    public void setFormat(int format)

Parameters:
  `format` - the format of this Field's data (text=0, binary=1)

#### getTableOid

    public int getTableOid()

Returns:
  the columns' table oid, zero if no oid available

#### getPositionInTable

    public int getPositionInTable()

#### getMetadata

    public FieldMetadata getMetadata()

#### setMetadata

    public void setMetadata(FieldMetadata metadata)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### setSQLType

    public void setSQLType(int sqlType)

#### getSQLType

    public int getSQLType()

#### setRSType

    public void setRSType(String pgType)

#### getRSType

    public String getRSType()

#### isTypeInitialized

    public boolean isTypeInitialized()